API referenceBroadcasts

List broadcast recipients

GET/broadcasts/{id}/recipients

Recipients with one event type (sent, delivered, opened, clicked, bounced, complained, unsubscribed, suppressed).

Authorization

apiKey
AuthorizationBearer <token>

A project API key: Authorization: Bearer s0_…

In: header

Path Parameters

id*string
Length1 <= length <= 64

Query Parameters

limit?integer
Range1 <= value <= 100
after?string
Length1 <= length <= 64
before?string
Length1 <= length <= 64
type*string

Value in

  • "sent"
  • "delivered"
  • "opened"
  • "clicked"
  • "bounced"
  • "complained"
  • "unsubscribed"
  • "suppressed"
email?string
Length1 <= length <= 320
bounce_type?string

Value in

  • "permanent"
  • "transient"
  • "undetermined"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/broadcasts/string/recipients?type=sent"
{  "object": "list",  "has_more": true,  "data": [    {      "id": "string",      "contact_id": "string",      "email": "string",      "count": -9007199254740991,      "clicked_links": [        {          "url": "string",          "clicks": -9007199254740991        }      ],      "bounce_type": "permanent"    }  ]}